Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.enterprise.control.ajax
Class WebEvent

    java.lang.Object
      java.util.EventObject
          org.deegree.enterprise.control.ajax.WebEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  JSONEvent

    public class WebEvent

extends EventObject

Version:
  $Revision: 21672 $
Author:
  Andreas Poth
See Also:
  Serialized Form

Field Summary
`protected String` | `bean`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`WebEvent(javax.servlet.ServletContext servletContext, javax.servlet.http.HttpServletRequest request, String bean)` Creates a new WebEvent object.

Method Summary
`String` | `getAbsolutePath(String relativePath)`
`Object` | `getAsBean()`
`String` | `getCharacterEncoding()`
`String` | `getDocumentPath()`
`Map` | `getParameter()`
`RequestUser` | `getRequestUser()`
`javax.servlet.http.HttpSession` | `getSession()`
`String` | `toString()`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### bean

    protected String bean

Constructor Detail

### WebEvent

    WebEvent(javax.servlet.ServletContext servletContext,
             javax.servlet.http.HttpServletRequest request,
             String bean)

  Creates a new WebEvent object.

  Parameters:
    `servletContext` -
    `request` -
    `bean` -

Method Detail

### getParameter

    public Map getParameter()

  Returns:
    the parameters

### getDocumentPath

    public String getDocumentPath()

  Returns:
    the document path

### getRequestUser

    public RequestUser getRequestUser()

  Returns:
    the request user

### getCharacterEncoding

    public String getCharacterEncoding()

  Returns:
    requests character encoding

### getSession

    public javax.servlet.http.HttpSession getSession()

  Returns:
    session assigned to event

### getAbsolutePath

    public String getAbsolutePath(String relativePath)

  Parameters:
    `relativePath` -
  Returns:
    absolute path based on servlet context

### getAsBean

    public Object getAsBean()
                     throws Exception

  Returns:
    request parameter mapped to a bean class
  Throws:
    `Exception`

### toString

    public String toString()

  Overrides:
    `toString` in class `EventObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org